<template>
  <nuxt-link class="addUser" :to="localePath('/auth/login')" v-wave>
    <svg-icon name="addUser" />
  </nuxt-link>
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import useSidebarMenu from '@/hooks/sidebar-menu'

export default defineComponent({
  name: 'Burger',
  setup() {
    const { toggleSidebarMenu, sidebarMenu } = useSidebarMenu()
    return {
      sidebarMenu,
      toggleSidebarMenu
    }
  }
})
</script>

<style lang="scss" scoped>
.addUser {
  cursor: pointer;
  font-size: 0;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  padding-left: 2px;
  padding-bottom: 2px;
  @media (min-width: 991.98px) {
    width: 55px;
    height: 55px;
    background: #0065ff;
  }
  svg {
    width: 22px;
    height: 22px;
    fill: #9badd6;
    @media (min-width: 991.98px) {
      fill: #fff;
    }
  }
}
</style>
